CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers

INTRODUCTION
------------
Drupal Core uses the RFCValidation from
https://github.com/egulias/EmailValidator to validate email addresses. However,
the RFC allows for email addresses without domain
(https://www.drupal.org/project/drupal/issues/2822142), which is often not the
desired behaviour.

This module implements all other Validations provided by
https://github.com/egulias/EmailValidator as services.
More importantly, on the module config page, you can also replace the Core
service (RFCValidation) with any of your choosing or even combine multiple
using the MultipleValidationWithAnd validation.

Included Validations:

* DNSCheckValidation (default)
* MessageIDValidation
* MultipleValidationWithAnd
* NoRFCWarningValidation
* RFCValidation, same as core, so only as option for MultipleValidationWithAnd.
* SpoofCheckValidation

DNSCheckValidation is the default replacement Validation.


REQUIREMENTS
------------

This module requires no modules outside of Drupal core.


INSTALLATION
------------

Install the Email Validator Customizer module as you would normally install a
contributed Drupal module. Visit https://www.drupal.org/node/1897420 for further
information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Configuration > System > Email Validator
       Customizer for configuration. Update the validation options as desired.

Configurable parameters:
* **Replace the Email Validator service from core (RFCValidation)**: Uncheck if
  you only want to use the validation services
  for your custom code and leave the default validation intact.
* **Replacement validation**: the replacement validation to use.
  _DNSCheckValidation_ is the default option, as it enforces both presence of a
  Top Level Domain and MX records for that domain.
* **Validations for MultipleValidationWithAnd**: If _MultipleValidationWithAnd_
  is chosen in the previous option, you can select multiple validations to use.
  https://github.com/egulias/EmailValidator#available-validations explains the
  various validation types.
* Error and warning logging: Probably not recommended for production, use at your
  own discretion.

MAINTAINERS
-----------

* Andreas De Rijcke - https://www.drupal.org/u/andreasderijcke

Supporting organization:

* Calibrate - https://www.drupal.org/calibrate
